CVE-2018-5704

Priority
Description
Open On-Chip Debugger (OpenOCD) 0.10.0 does not block attempts to use HTTP
POST for sending data to 127.0.0.1 port 4444, which allows remote attackers
to conduct cross-protocol scripting attacks, and consequently execute
arbitrary commands, via a crafted web site.
Package
Upstream:released (0.10.0-4)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):released (0.9.0-1+deb8u1build0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (0.10.0-4)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (0.10.0-4)
Ubuntu 19.04 (Disco Dingo):not-affected (0.10.0-4)
More Information

Updated: 2019-01-14 21:32:50 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)